# Uses of Interface
org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageInfo

Packages that use InternalCDOPackageInfo
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.model
Common service provider interfaces and useful base implementations for dealing with models and types

## Uses of InternalCDOPackageInfo in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return InternalCDOPackageInfo
Modifier and Type
Method
Description
`InternalCDOPackageInfo`
CDOServerImporter.Handler.`handlePackageInfo(String packageURI)`
Methods in org.eclipse.emf.cdo.server with parameters of type InternalCDOPackageInfo
Modifier and Type
Method
Description
`protected String`
CDOServerBrowser.PackagesPage.`showPackage(InternalCDOPackageInfo info, InternalCDOPackageRegistry packageRegistry, CDOServerBrowser browser, String param, PrintStream out, String prefix)`

## Uses of InternalCDOPackageInfo in org.eclipse.emf.cdo.spi.common.model

Methods in org.eclipse.emf.cdo.spi.common.model that return InternalCDOPackageInfo
Modifier and Type
Method
Description
`InternalCDOPackageInfo`
InternalCDOPackageInfo.`copy()`
`InternalCDOPackageInfo`
DelegatingCDOPackageRegistry.`getPackageInfo(EPackage ePackage)`
Deprecated.
`InternalCDOPackageInfo`
InternalCDOPackageRegistry.`getPackageInfo(EPackage ePackage)`
`InternalCDOPackageInfo`
InternalCDOPackageUnit.`getPackageInfo(String packageURI)`
`InternalCDOPackageInfo[]`
DelegatingCDOPackageRegistry.`getPackageInfos()`
Deprecated.
`InternalCDOPackageInfo[]`
InternalCDOPackageRegistry.`getPackageInfos()`
`InternalCDOPackageInfo[]`
InternalCDOPackageUnit.`getPackageInfos()`
`InternalCDOPackageInfo`
InternalCDOPackageUnit.`getTopLevelPackageInfo()`
Methods in org.eclipse.emf.cdo.spi.common.model with parameters of type InternalCDOPackageInfo
Modifier and Type
Method
Description
`void`
InternalCDOPackageRegistry.`registerPackageInfo(EPackage ePackage, InternalCDOPackageInfo packageInfo)`
`void`
InternalCDOPackageUnit.`setPackageInfos(InternalCDOPackageInfo[] packageInfos)`